Package babel :: Module support :: Class Format

# Class Format

    object --+
             |
            Format

Wrapper class providing the various date and number formatting functions bound to a specific locale and time-zone.

    >>> fmt = Format('en_US', UTC)
    >>> fmt.date(date(2007, 4, 1))
    u'Apr 1, 2007'
    >>> fmt.decimal(1.2345)
    u'1.234'

Instance Methods

__init__(self, locale, tzinfo=None) Initialize the formatter. |

date(self, date=None, format=`'``medium``'`) Return a date formatted according to the given pattern. |

datetime(self, datetime=None, format=`'``medium``'`) Return a date and time formatted according to the given pattern. |

time(self, time=None, format=`'``medium``'`) Return a time formatted according to the given pattern. |

number(self, number) Return an integer number formatted for the locale. |

decimal(self, number, format=None) Return a decimal number formatted for the locale. |

currency(self, number, currency) Return a number in the given currency formatted for the locale. |

percent(self, number, format=None) Return a number formatted as percentage for the locale. |

scientific(self, number) Return a number formatted using scientific notation for the locale. |

Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, locale, tzinfo=None)
(Constructor)

Initialize the formatter.

Parameters:
  - `locale` - the locale identifier or Locale instance
  - `tzinfo` - the time-zone info (a `tzinfo` instance or `None`)
Overrides: object.__init__

### date(self, date=None, format=`'``medium``'`)

Return a date formatted according to the given pattern.

    >>> fmt = Format('en_US')
    >>> fmt.date(date(2007, 4, 1))
    u'Apr 1, 2007'

See Also: babel.dates.format_date

### datetime(self, datetime=None, format=`'``medium``'`)

Return a date and time formatted according to the given pattern.

    >>> from pytz import timezone
    >>> fmt = Format('en_US', tzinfo=timezone('US/Eastern'))
    >>> fmt.datetime(datetime(2007, 4, 1, 15, 30))
    u'Apr 1, 2007 11:30:00 AM'

See Also: babel.dates.format_datetime

### time(self, time=None, format=`'``medium``'`)

Return a time formatted according to the given pattern.

    >>> from pytz import timezone
    >>> fmt = Format('en_US', tzinfo=timezone('US/Eastern'))
    >>> fmt.time(datetime(2007, 4, 1, 15, 30))
    u'11:30:00 AM'

See Also: babel.dates.format_time

### number(self, number)

Return an integer number formatted for the locale.

    >>> fmt = Format('en_US')
    >>> fmt.number(1099)
    u'1,099'

See Also: babel.numbers.format_number

### decimal(self, number, format=None)

Return a decimal number formatted for the locale.

    >>> fmt = Format('en_US')
    >>> fmt.decimal(1.2345)
    u'1.234'

See Also: babel.numbers.format_decimal

### currency(self, number, currency)

Return a number in the given currency formatted for the locale.

See Also: babel.numbers.format_currency

### percent(self, number, format=None)

Return a number formatted as percentage for the locale.

    >>> fmt = Format('en_US')
    >>> fmt.percent(0.34)
    u'34%'

See Also: babel.numbers.format_percent

### scientific(self, number)

Return a number formatted using scientific notation for the locale.

See Also: babel.numbers.format_scientific